Index: trunk/SophyaLib/SkyT/Makefile
===================================================================
--- trunk/SophyaLib/SkyT/Makefile	(revision 2735)
+++ trunk/SophyaLib/SkyT/Makefile	(revision 2743)
@@ -1,120 +1,189 @@
-include ../Mgr/Makefile.h
+include ../BuildMgr/sophyamake.inc
  
-all: $(LIB)libSkyT.a
+all: $(SOPHYALIBP)libSkyT.a
+ 
 clean:
-	rm -f $(OBJ)blackbody.o $(OBJ)convtools.o $(OBJ)derivblackbody.o $(OBJ)gaussfilt.o $(OBJ)nupower.o $(OBJ)radspec.o $(OBJ)radspecvector.o $(OBJ)skyinit.o $(OBJ)specresp.o $(OBJ)specrespvector.o $(OBJ)squarefilt.o $(OBJ)trianglefilt.o
-	rm -f $(LIB)libSkyT.a
-$(LIB)libSkyT.a : $(OBJ)blackbody.o $(OBJ)convtools.o $(OBJ)derivblackbody.o $(OBJ)gaussfilt.o $(OBJ)nupower.o $(OBJ)radspec.o $(OBJ)radspecvector.o $(OBJ)skyinit.o $(OBJ)specresp.o $(OBJ)specrespvector.o $(OBJ)squarefilt.o $(OBJ)trianglefilt.o
-	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
-ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
-endif 
+	 rm -f $(SOPHYAOBJP)blackbody.o $(SOPHYAOBJP)convtools.o $(SOPHYAOBJP)derivblackbody.o $(SOPHYAOBJP)gaussfilt.o $(SOPHYAOBJP)nupower.o $(SOPHYAOBJP)radspec.o $(SOPHYAOBJP)radspecvector.o $(SOPHYAOBJP)skyinit.o $(SOPHYAOBJP)specresp.o $(SOPHYAOBJP)specrespvector.o $(SOPHYAOBJP)squarefilt.o $(SOPHYAOBJP)trianglefilt.o
+	rm -f $(SOPHYALIBP)libSkyT.a
  
-$(OBJ)blackbody.o: blackbody.cc $(INC)machdefs.h \
- blackbody.h radspec.h specresp.h \
- $(INC)anydataobj.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h convtools.h
-$(OBJ)convtools.o: convtools.cc convtools.h \
- $(INC)machdefs.h
-$(OBJ)derivblackbody.o: derivblackbody.cc \
- $(INC)machdefs.h derivblackbody.h radspec.h \
- specresp.h $(INC)anydataobj.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h convtools.h
-$(OBJ)gaussfilt.o: gaussfilt.cc $(INC)machdefs.h \
- gaussfilt.h specresp.h $(INC)anydataobj.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h
-$(OBJ)nupower.o: nupower.cc $(INC)machdefs.h \
- nupower.h radspec.h specresp.h \
- $(INC)anydataobj.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h convtools.h
-$(OBJ)radspec.o: radspec.cc $(INC)machdefs.h \
- radspec.h specresp.h $(INC)anydataobj.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)integ.h \
- $(INC)classfunc.h
-$(OBJ)radspecvector.o: radspecvector.cc \
- $(INC)machdefs.h radspecvector.h radspec.h \
- specresp.h $(INC)anydataobj.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h
-$(OBJ)skyinit.o: skyinit.cc skyinit.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h \
- $(INC)sophyainit.h \
- $(INC)machdefs.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h specrespvector.h \
- specresp.h $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h gaussfilt.h
-$(OBJ)specresp.o: specresp.cc specresp.h \
- $(INC)machdefs.h \
- $(INC)anydataobj.h \
- $(INC)integ.h \
- $(INC)pexceptions.h \
- $(INC)classfunc.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h
-$(OBJ)specrespvector.o: specrespvector.cc \
- $(INC)machdefs.h specrespvector.h specresp.h \
- $(INC)anydataobj.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)fioarr.h
-$(OBJ)squarefilt.o: squarefilt.cc $(INC)machdefs.h \
- squarefilt.h specresp.h $(INC)anydataobj.h
-$(OBJ)trianglefilt.o: trianglefilt.cc \
- $(INC)machdefs.h trianglefilt.h specresp.h \
- $(INC)anydataobj.h
+$(SOPHYALIBP)libSkyT.a : $(SOPHYAOBJP)blackbody.o $(SOPHYAOBJP)convtools.o $(SOPHYAOBJP)derivblackbody.o $(SOPHYAOBJP)gaussfilt.o $(SOPHYAOBJP)nupower.o $(SOPHYAOBJP)radspec.o $(SOPHYAOBJP)radspecvector.o $(SOPHYAOBJP)skyinit.o $(SOPHYAOBJP)specresp.o $(SOPHYAOBJP)specrespvector.o $(SOPHYAOBJP)squarefilt.o $(SOPHYAOBJP)trianglefilt.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)blackbody.o: blackbody.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h blackbody.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h convtools.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)convtools.o: convtools.cc \
+  $(SOPHYAINCP)sopnamsp.h convtools.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)derivblackbody.o: derivblackbody.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h derivblackbody.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h convtools.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)gaussfilt.o: gaussfilt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h gaussfilt.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)nupower.o: nupower.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nupower.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h convtools.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)radspec.o: radspec.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h radspec.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)integ.h \
+  $(SOPHYAINCP)classfunc.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)radspecvector.o: radspecvector.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h radspecvector.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)skyinit.o: skyinit.cc \
+  $(SOPHYAINCP)sopnamsp.h skyinit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h specrespvector.h \
+  specresp.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h gaussfilt.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)specresp.o: specresp.cc \
+  $(SOPHYAINCP)sopnamsp.h specresp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)integ.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)classfunc.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)specrespvector.o: specrespvector.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h specrespvector.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)fioarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)squarefilt.o: squarefilt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h squarefilt.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)trianglefilt.o: trianglefilt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h trianglefilt.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h
+	$(CXXCOMPILE) -o $@ $<
+ 
Index: trunk/SophyaLib/SkyT/smakefile
===================================================================
--- trunk/SophyaLib/SkyT/smakefile	(revision 2743)
+++ trunk/SophyaLib/SkyT/smakefile	(revision 2743)
@@ -0,0 +1,189 @@
+include $(SOPHYABASE)/include/sophyamake.inc
+ 
+all: $(SOPHYALIBP)libSkyT.a
+ 
+clean:
+	 rm -f $(SOPHYAOBJP)blackbody.o $(SOPHYAOBJP)convtools.o $(SOPHYAOBJP)derivblackbody.o $(SOPHYAOBJP)gaussfilt.o $(SOPHYAOBJP)nupower.o $(SOPHYAOBJP)radspec.o $(SOPHYAOBJP)radspecvector.o $(SOPHYAOBJP)skyinit.o $(SOPHYAOBJP)specresp.o $(SOPHYAOBJP)specrespvector.o $(SOPHYAOBJP)squarefilt.o $(SOPHYAOBJP)trianglefilt.o
+	rm -f $(SOPHYALIBP)libSkyT.a
+ 
+$(SOPHYALIBP)libSkyT.a : $(SOPHYAOBJP)blackbody.o $(SOPHYAOBJP)convtools.o $(SOPHYAOBJP)derivblackbody.o $(SOPHYAOBJP)gaussfilt.o $(SOPHYAOBJP)nupower.o $(SOPHYAOBJP)radspec.o $(SOPHYAOBJP)radspecvector.o $(SOPHYAOBJP)skyinit.o $(SOPHYAOBJP)specresp.o $(SOPHYAOBJP)specrespvector.o $(SOPHYAOBJP)squarefilt.o $(SOPHYAOBJP)trianglefilt.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)blackbody.o: blackbody.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h blackbody.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h convtools.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)convtools.o: convtools.cc \
+  $(SOPHYAINCP)sopnamsp.h convtools.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)derivblackbody.o: derivblackbody.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h derivblackbody.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h convtools.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)gaussfilt.o: gaussfilt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h gaussfilt.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)nupower.o: nupower.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nupower.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h convtools.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)radspec.o: radspec.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h radspec.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)integ.h \
+  $(SOPHYAINCP)classfunc.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)radspecvector.o: radspecvector.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h radspecvector.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)skyinit.o: skyinit.cc \
+  $(SOPHYAINCP)sopnamsp.h skyinit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h specrespvector.h \
+  specresp.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h gaussfilt.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)specresp.o: specresp.cc \
+  $(SOPHYAINCP)sopnamsp.h specresp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)integ.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)classfunc.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)specrespvector.o: specrespvector.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h specrespvector.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)fioarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)squarefilt.o: squarefilt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h squarefilt.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)trianglefilt.o: trianglefilt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h trianglefilt.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h
+	$(CXXCOMPILE) -o $@ $<
+ 
